# License
 See LICENSE file.

# Authors
 See AUTHORS file.

# Dependencies
 - python
 - mysql-python or python-pysqlite
 - Django = 0.96

# Installation
For a simple testing installation:

 1. Install dependencies.
   pacman -S django python-pysqlite sqlite3

 2. Fetch and extract test database
   For simple testing, sqlite is a good option. We have provided an 
   example test database.
   wget http://dev.archlinux.org/~eliott/archweb_sqlite.db.gz -O - | zcat > archweb.db

 3. Copy local_settings.py.example to local_settings.py and modify
   Make sure to uncomment the sqlite section.

 4. Use the following commands to start a service instance
   export PYTHONPATH=`pwd`:${PYTHONPATH} 
   export DJANGO_SETTINGS_MODULE=archweb_dev.settings 
   python manage.py runserver

 5. The test database has a few test accounts in it.
   To login, use the following credentails.
   User: admin
   Pass: pass

   You can then reset the password on any of the test users by
   going into the django admin interface and doing so.

